# Archivist

## [v1.0.5](https://github.com/emptyrivers/Archivist/tree/v1.0.5) (2021-02-05)
[Full Changelog](https://github.com/emptyrivers/Archivist/compare/v1.0.4...v1.0.5) [Previous Releases](https://github.com/emptyrivers/Archivist/releases)

- Merge pull request #4 from Meorawr/patch/#3-deleteall-fixes  
- Fix store map being reset on DeleteAll calls  
    The internal store map was unconditionally reset on all calls to  
    DeleteAll.  
    In a circumstance where the user has multiple stores open from different  
    types - such as one ReadOnly and one RawData store - calling DeleteAll  
    with the store type of "ReadOnly" would then prevent the user from  
    being able to call the CloseStore method with the handle to the RawData  
    backed store.  
- Fix DeleteAll when called with explicit store type  
    DeleteAll would incorrectly nil out the entire saved variable storage  
    for any explicitly named store type, rendering Archivist unable to then  
    perform some operations on other stores of the same type, such as  
    creating, until re-initialized.  
    This differed from the behavior of DeleteAll when called _without_ any  
    store type, which would correctly reset the saved variables storage to  
    that of an empty table for each store type affected.  
    This change should now make it that a sequence of DeleteAll followed  
    by a Create call both with the same store type works as expected.  
- bump toc  
- add Delete method  
- remove some more comments  
